Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513704 - nssdb auth doesn't work with selinux enforcing due to map permissions denials
Summary: nssdb auth doesn't work with selinux enforcing due to map permissions denials
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1481454
TreeView+ depends on / blocked
 
Reported: 2017-11-15 19:35 UTC by Kevin Fenzi
Modified: 2018-11-30 23:41 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-3.13.1-283.16.fc27 selinux-policy-3.13.1-283.19.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:41:54 UTC


Attachments (Terms of Use)

Description Kevin Fenzi 2017-11-15 19:35:46 UTC
Fedora Infrastructure uses nssdb auth... basically a client runs and makes /var/db/passwd.db /var/db/groups.db /var/db/shadow.db and uses them for local user auth. 

This fails with in f27 due to selinux denying map perms. 

We see the following avcs: 

type=AVC msg=audit(1510774476.166:22755112): avc:  denied  { map } for  pid=7149 comm="unix_chkpwd" path="/var/db/passwd.db" dev="dm-0" ino=24 scontext=system_u:system_r:chkpwd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:system_db_t:s0 tclass=file permissive=0
type=AVC msg=audit(1510774476.166:22755113): avc:  denied  { write } for  pid=7149 comm="unix_chkpwd" name="system_bus_socket" dev="tmpfs" ino=17705 scontext=system_u:system_r:chkpwd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:system_dbusd_var_run_t:s0 tclass=sock_file permissive=0

Comment 1 Fedora Update System 2017-11-16 15:11:00 UTC
selinux-policy-3.13.1-283.16.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5178e6a393

Comment 2 Kevin Fenzi 2017-11-16 16:50:31 UTC
I'm still getting: 

type=AVC msg=audit(1510850953.112:24894140): avc:  denied  { map } for  pid=4146 comm="unix_chkpwd" path="/var/db/shadow.db" dev="dm-0" ino=1311591 scontext=system_u:system_r:chkpwd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:shadow_t:s0 tclass=file permissive=0

with that one. Did you allow all of /var/db/passwd.db, /var/db/shadow.db, /var/db/group.db ?

Comment 3 Fedora Update System 2017-11-17 18:55:33 UTC
selinux-policy-3.13.1-283.16.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5178e6a393

Comment 4 Fedora Update System 2017-11-20 16:55:47 UTC
selinux-policy-3.13.1-283.16.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Tim Flink 2017-11-21 21:45:55 UTC
I'm still seeing the same error on an f27 box with selinux-policy-3.13.1-283.16:

type=AVC msg=audit(1511300470.119:474): avc:  denied  { map } for  pid=1638 comm="unix_chkpwd" path="/var/db/shadow.db" dev="dm-0" ino=524687 scontext=system_u:system_r:chkpwd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:shadow_t:s0 tclass=file permissive=1
type=USER_ACCT msg=audit(1511300470.121:475): pid=1634 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:sshd_t:s0-s0:c0.c1023 msg='op=PAM:accounting grantors=pam_unix,pam_localuser acct="root" exe="/usr/sbin/sshd" hostname=10.5.126.23 addr=10.5.126.23 terminal=ssh res=success'

Comment 6 Fedora Update System 2017-12-13 08:25:03 UTC
selinux-policy-3.13.1-283.18.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 7 Tim Flink 2017-12-13 14:41:52 UTC
The new build fixes the login issue for my F27 hosts. Thanks for the fix.

Comment 8 Lukas Vrabec 2017-12-13 14:43:20 UTC
Please add karma. 

Thank you.

Comment 9 Fedora Update System 2017-12-14 11:11:20 UTC
selinux-policy-3.13.1-283.18.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 10 Fedora Update System 2017-12-20 11:22:52 UTC
selinux-policy-3.13.1-283.19.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 11 Fedora Update System 2017-12-21 20:20:25 UTC
selinux-policy-3.13.1-283.19.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 12 Fedora Update System 2018-01-02 16:47:05 UTC
selinux-policy-3.13.1-283.19.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Patrick O'Callaghan 2018-01-03 11:48:23 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1514538 is still present with selinux-policy-3.13.1-283.19.fc27

Comment 14 Adam Williamson 2018-09-07 17:26:57 UTC
I'm still seeing this on openqa boxes, on F28:

Sep 07 17:22:25 openqa-stg01.qa.fedoraproject.org audit[1610]: AVC avc:  denied  { map } for  pid=1610 comm="showq" path="/var/db/group.db" dev="dm-0" ino=36176735 scontext=system_u:system_r:postfix_showq_t:s0 tcontext=system_u:object_r:system_db_t:s0 tclass=file permissive=0

Comment 15 Adam Williamson 2018-09-07 17:27:25 UTC
Also:

Sep 07 17:22:25 openqa-stg01.qa.fedoraproject.org audit[1610]: AVC avc:  denied  { map } for  pid=1610 comm="showq" path="/var/db/passwd.db" dev="dm-0" ino=36176859 scontext=system_u:system_r:postfix_showq_t:s0 tcontext=system_u:object_r:system_db_t:s0 tclass=file permissive=0

Comment 16 Fedora Update System 2018-11-06 13:49:48 UTC
selinux-policy-3.13.1-284.38.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6c6faa135b

Comment 17 Fedora Update System 2018-11-07 03:48:23 UTC
selinux-policy-3.13.1-284.38.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6c6faa135b

Comment 18 Ben Cotton 2018-11-27 13:37:39 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Ben Cotton 2018-11-30 23:41:54 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.